# Documentation

Menu

## QRCodeReaderOptionsTrait

QRCodeReaderOptionsTrait.php : 24

Trait QRCodeReaderOptionsTrait

### Table of Contents

#### Properties

$readerGrayscale : bool
  Grayscale the image before reading
$readerIncreaseContrast : bool
  Increase the contrast before reading
$readerInvertColors : bool
  Invert the colors of the image
$readerUseImagickIfAvailable : bool
  Use Imagick (if available) when reading QR Codes

#### Methods

set_readerUseImagickIfAvailable() : void
  enables Imagick for the QR Code reader if the extension is available

### Properties

#### $readerGrayscale

QRCodeReaderOptionsTrait.php : 34

Grayscale the image before reading

`protected bool $readerGrayscale = false`

#### $readerIncreaseContrast

QRCodeReaderOptionsTrait.php : 46

Increase the contrast before reading

`protected bool $readerIncreaseContrast = false`

note that applying contrast works different in GD and Imagick, so mileage may vary

#### $readerInvertColors

QRCodeReaderOptionsTrait.php : 39

Invert the colors of the image

`protected bool $readerInvertColors = false`

#### $readerUseImagickIfAvailable

QRCodeReaderOptionsTrait.php : 29

Use Imagick (if available) when reading QR Codes

`protected bool $readerUseImagickIfAvailable = false`

### Methods

#### set_readerUseImagickIfAvailable()

QRCodeReaderOptionsTrait.php : 51

enables Imagick for the QR Code reader if the extension is available

`protected set_readerUseImagickIfAvailable(bool $useImagickIfAvailable) : void`

##### Parameters

$useImagickIfAvailable : bool

## Search results